Name:           python-smbpasswd
Version:        1.0.2
Release:        3
Summary:        Python SMB Password Hash Generator Module

Group:          Development/Python
License:        GPLv2
URL:            http://barryp.org/software/py-smbpasswd
Source0:        smbpasswd-%{version}.tgz
BuildRequires:	python-devel python3-devel
%rename		py-smbpasswd

%description
This package contains a python module, which is able to generate LANMAN and
NT password hashes suiteable to us with Samba.

%package -n python3-smbpasswd
Summary:        Python SMB Password Hash Generator Module
Group:          Development/Python

%description -n python3-smbpasswd
This package contains a python module, which is able to generate LANMAN and
NT password hashes suiteable to us with Samba.
This a release for python3

%prep
%setup -q -n smbpasswd-%{version}
rm -rf %{py3dir}
mkdir -p %{py3dir}
cp -a . %{py3dir}


%build
CFLAGS="%{optflags}" 
%{__python} setup.py build

pushd %{py3dir}
CFLAGS="%{optflags}" 
%{__python3} setup.py build
popd

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd

%files
%{py_platsitedir}/smbpasswd.so
%{py_platsitedir}/*egg-info
%doc README.txt

%files -n python3-smbpasswd
%{py3_platsitedir}/smbpasswd.cpython-3*.so
%{py3_platsitedir}/*egg-info
%doc README.txt

%changelog
* Mon Sep 08 2014 dsilakov <denis.silakov@rosalab.ru> 1.0.2-3
+ Revision: cc1e2dc
- Merge pull request #2 from lchan/python-smbpasswd:rosa2014.1
- python3-smbpasswd


